config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  resources :tenants
  resources :users

  resources :properties
  get 'advertised', to: 'properties#advertised_properties'

  resources :landlords

  resources :tenancies
  get 'due_this_month', to: 'tenancies#due_this_month'

  controller :sessions do
    get 'login' => :new, as: :login
    post 'login' => :create
    delete 'logout' => :destroy, as: :logout
  end

  root 'sessions#new'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/views/layouts/sidebar/_current_user_info.html.erb
<section id="sidebar-nav-user">
  <%= image_tag("default_user_profile.png") %>
  <div class="username">
    <%= link_to current_user.username, current_user %>
  </div>
  <div class="logoutLink">
    <%= link_to '<i class="fa fa-sign-out" aria-hidden="true"></i>Logout'.html_safe, logout_url, method: :delete, class: "defaultButton" %>
  </div>
</section>

app/views/layouts/sidebar/_navigation.html.erb
<ul class="nav">
  <li>
    <%= link_to '<i class="fa fa-building" aria-hidden="true"></i>Properties'.html_safe, properties_url, class: controller_name == "properties" && action_name != "advertised_properties" && "active" %>
  </li>

  <li>
    <%= link_to '<i class="fa fa-bullhorn" aria-hidden="true"></i></i>Advertised Properties'.html_safe, advertised_url, class: controller_name == "properties" && action_name == "advertised_properties" && "active" %>
  </li>

  <li>
    <%= link_to '<i class="fa fa-users" aria-hidden="true"></i>Tenants'.html_safe, tenants_url, class: controller_name == "tenants" && "active" %>
  </li>

  <li>
    <%= link_to '<i class="fa fa-address-card" aria-hidden="true"></i>Landlords'.html_safe, landlords_url, class: controller_name == "landlords" && "active" %>
  </li>

  <li>
    <%= link_to '<i class="fa fa-folder" aria-hidden="true"></i>Tenancies'.html_safe, tenancies_url, class: controller_name == "tenancies" && action_name != "due_this_month" && "active" %>
  </li>

  <li>
    <%= link_to '<i class="fa fa-table" aria-hidden="true"></i>Rent Due (monthly)'.html_safe, due_this_month_url, class: controller_name == "tenancies" && action_name == "due_this_month" &&
      "active" %>
  </li>

  <li class='border'></li>

  <li>
    <%= link_to '<i class="fa fa-cog fa-spin" aria-hidden="true"></i>Users'.html_safe, users_url, class: controller_name == "users" && "active" %>
  </li>
</ul>

app/views/layouts/sidebar/_sidebar.html.erb
<section id="sidebar">
  <section id="sidebar-header">
    <a href=<%= root_url %>>
      <%= image_tag("white_logo.png") %>
      
      <span>TenancyManager</span>
    </a>
  </section>

  <% if current_user %>
    <section id="sidebar-nav">
      <%= render "layouts/sidebar/current_user_info" %>
  
      <%= render "layouts/sidebar/navigation" %>
    </section>
  <% end %>
</section>